Bug 255353 - sysutils/hatop: Update to 0.8.1, Switch upstream (jhunt/hatop)
Summary: sysutils/hatop: Update to 0.8.1, Switch upstream (jhunt/hatop)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/jhunt/hatop/releas...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-04-23 22:16 UTC by mikeg
Modified: 2021-04-27 16:22 UTC (History)
1 user (show)

See Also:
mikeg: maintainer-feedback+


Attachments
Patch 0.7.7 -> 0.8.1 (9.71 KB, patch)
2021-04-23 22:16 UTC, mikeg
mikeg: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mikeg 2021-04-23 22:16:34 UTC
Created attachment 224390 [details]
Patch 0.7.7 -> 0.8.1

Patch to move the port to an actively developed fork of hatop (github @ jhunt/hatop) & bring it current with the latest release (0.8.1)

This change eliminates the local patch for Python 3 compatibility (the fork incorporates equivalent work).

Tested OK on FreeBSD 12.2-p6 & Python 3.7 (python37-3.7.10)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-04-24 01:06:40 UTC
^Triage: 

 - [tags] in issue Titles are deprecated
 - Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 2 Rainer Hurling freebsd_committer 2021-04-24 07:20:02 UTC
Thanks for the patch!

Kubilay's entry of the keyword 'needs-qa' means that the submitter of a patch can significantly speed up the entire process to commit if the submitter itself already provides quality checks. Normally PR's with QA are committed and processed much faster by a committer.

The least QA should do is to see if 'portlint -AC' still reports warnings or errors. It is better if the submitter also tests his patch with Poudriere to see if it builds and installs without errors in a clean environment.

In this case, I have already taken over the PR and am running appropriate tests. In addition, I have already entered a link in the URL field, which contains the changes of the release  :)


But it is important, as already written by Kubilay, that the submitter sets the flag 'maintainer-approval' to '+'. So please set this flag in the attachments section, under details, thank you.
Comment 3 mikeg 2021-04-26 22:58:01 UTC
Approval & feedback fields are set, Looks like I need to update my patch-submission workflows for future updates! (Since I already have to touch that to move it from svn to git the next update should be cleaner - can definitely tie portlint, should be able to get Poudriere going too since it's on the list anyway :-)
Comment 4 commit-hook freebsd_committer 2021-04-27 16:19:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=95958ea716ecccb626ea6731e46ce88e0b866737

commit 95958ea716ecccb626ea6731e46ce88e0b866737
Author:     Rainer Hurling <rhurlin@FreeBSD.org>
AuthorDate: 2021-04-27 16:15:16 +0000
Commit:     Rainer Hurling <rhurlin@FreeBSD.org>
CommitDate: 2021-04-27 16:15:16 +0000

    sysutils/hatop: Update to 0.8.1

    Changelog: https://github.com/jhunt/hatop/releases/tag/v0.8.1

    PR:             255353
    Submitted by:   mikeg@bsd-box.net (maintainer)

 sysutils/hatop/Makefile                     |  15 +-
 sysutils/hatop/distinfo                     |   6 +-
 sysutils/hatop/files/patch-bin_hatop (gone) | 222 ----------------------------
 sysutils/hatop/pkg-descr                    |   2 +-
 4 files changed, 11 insertions(+), 234 deletions(-)
Comment 5 Rainer Hurling freebsd_committer 2021-04-27 16:22:58 UTC
Commited, thanks :)

And good luck with revamping your patch-submission workflow.